#!/usr/bin/env nomsu -V7.0.0-- File lib/consolecolor/init.nom chunk #1
local colors;
-- 
-- This file defines actions for ANSI console color escape codes.
-- ;
TESTS["@lib/consolecolor/init.nom[110:157]"] = "\n$ = (bright \"\\(green)Color test passed.\")";
colors = a_Dict{
    normal = 0; ["reset color"] = 0; bright = 1; bold = 1; dim = 2; italic = 3; underscore = 4;
        ["slow blink"] = 5; ["fast blink"] = 6; reverse = 7; inverse = 7; inverted = 7;
        hidden = 8; --  There's some other codes, but they're not currently implemented
    black = 30; red = 31; green = 32; yellow = 33; blue = 34; magenta = 35; cyan = 36;
        white = 37; ["on black"] = 40; ["on red"] = 41; ["on green"] = 42; ["on yellow"] = 43;
        ["on blue"] = 44; ["on magenta"] = 45; ["on cyan"] = 46; ["on white"] = 47;
};
do -- for-loop
    for name,colornum in pairs(colors) do
        _ENV[name:as_lua_id()] = (function(text)
    if COLOR_ENABLED then
        if text then
        do return Text("\027[", colornum, "m", text, "\027[0m") end
    else
        do return Text("\027[", colornum, "m") end
    end
    else
        do return (text or "") end
    end
end);
    end
end -- for-loop;
