#!/usr/bin/env nomsu -V7.0.0-- File lib/filesystem/init.nom chunk #1
-- 
-- This file defines some actions that interact with the filesystem.
-- ;
files_for = (function(path)
    local files;
    files = Files.list(path);
    if files then
        files = List(files);
    end
    do return files end
end);
read_file = Files.read;
write_to_file = (function(filename, text)
    if (not (filename ~= "stdin")) then
        at_1_fail("@lib/filesystem/init.nom[490:518]",
        "Cannot write to stdin"
    );
    end
    local file = io.open(filename, 'w')
    file:write(text)
    file:close();
end);
to_file_1_write = write_to_file;
write_1_to_file = (function(text, filename)
    return write_to_file(filename, text)
end);
source_lines_of = (function(tree)
    local source, file;
    source = ((function()
        if SyntaxTree:is_instance(tree) then
            return tree.source
        else
            return tree
        end
    end)());
    file = read_file(source.filename);
    do return (a_List(function(add)
        do -- for-loop
            local _start = file:line_number_at(source.start)
        for _=_start,file:line_number_at(source.stop) do
                add(file:line(_));
            end
        end -- for-loop;
    end)):joined_with("\n") end
end);
spoof_file = Files.spoof;
spoof_file_1_x3D = Files.spoof;
make_directory = Files.make_directory;
