#!/usr/bin/env nomsu -V7.0.0-- File lib/progressbar/init.nom chunk #1
--  A progress bar;
_ENV:use("consolecolor");

-- File lib/progressbar/init.nom chunk #2
TESTS["@lib/progressbar/init.nom[155:226]"] = "\nassume (0 / 1 progress bar)\nassume (10 wide 0.5 progress bar)";
_1_x2F_2_progress_bar = (function(x, w)
    local bits, middle;
    x = _1_clamped_between_2_and(x, 0, w);
    if COLOR_ENABLED then
        bits = a_List{
        " ", "\226\150\143", "\226\150\142", "\226\150\141", "\226\150\140", "\226\150\139",
            "\226\150\138", "\226\150\137", "\226\150\136"
    };
    middle = ((x == w) and "" or bits[1 + (floor(((#bits)) * (((x) % (1)))))]);
    do return Text(reset_color(), "[", green(), (bits:last()):rep(floor(x)), middle, "",
      (" "):rep(w - ((floor(x)) + 1)), reset_color(), "]") end
    else
        --  Probably not unicode support either:;
    do return Text("[", ("#"):rep(x:rounded_down()), ("-"):rep(w - x:rounded_down()), "]") end
    end
end);
_1_wide_2_progress_bar = (function(w, _)
    return _1_x2F_2_progress_bar(_ * w, w)
end);
