#!/usr/bin/env nomsu -V7.0.0-- File lib/tools/list.nom chunk #1
-- 
-- A tool to list installed third party Nomsu packages
-- 
-- Usage:
--     nomsu -t list
-- ;
_ENV:use("filesystem");
_ENV:use("commandline");
_ENV:use("shell");

-- File lib/tools/list.nom chunk #2
run_with = (function(args)
    local packages;
    packages = at_1_x3D_sh("@lib/tools/list.nom[317:343]", Text("ls ", NOMSU_PACKAGEPATH));
    say("Currently Installed:");
    do -- for-loop
        for _i,f in _ipairs(packages:lines()) do
            if (f ~= "") then
        f = f:with_1_x2Dx3E("%.nom$", "");
    say(Text("  * ", f));
    end
        end
    end -- for-loop;
end);
if WAS_RUN_DIRECTLY then
    run_with(COMMAND_LINE_ARGS);
end
