#!/usr/bin/env nomsu -V7.0.0-- File lib/core/coroutines.nom chunk #1
-- 
-- This file defines the code that creates and manipulates coroutines
-- ;
_ENV:use("core/metaprogramming");
_ENV:use("core/operators");
_ENV:use("core/control_flow");

-- File lib/core/coroutines.nom chunk #2
TESTS["@lib/core/coroutines.nom[269:1346]"] = "\n$fn =\n    ->:\n        yield 4\n        yield 5\n        repeat 3 times:\n            yield 6\n\n$nums = []\nfor $ in (coroutine from $fn): $nums, add $\nassume ($nums == [4, 5, 6, 6, 6])\n$d = {.x = 0}\n$co =\n    coroutine:\n        $d.x += 1\n        yield 1\n        $d.x += 1\n        yield\n        $d.x += 1\n\nrepeat while ((coroutine status of $co) != \"dead\"): resume $co\nassume $d.x == 3\n$(co) = (coroutine: yield 5)\n[$ok, $val] = (co)\nassume ($ok == (yes))\nassume ($val == 5)\n$t = []\n$i = 1\nfor $ in\n    coroutine:\n        yield 4\n        yield 5\n        yield\n        yield 6\n..:\n    $t.$i = $\n    $i += 1\nassume ($t == [4, 5, nil, 6])\n$t = []\nfor ($k = $) in\n    coroutine:\n        yield 4\n        yield 5\n        yield\n        yield 6\n..:\n    $t, add {.key = $k, .value = $}\n\nassume $t == [\n    {.key = 1, .value = 4}, {.key = 2, .value = 5}, {.key = 3}, {.key = 4, .value = 6}\n]";
COMPILE_RULES["coroutine"] = (function(_ENV, _tree, body)
    local mangle = mangler()
    return SyntaxTree{"coroutine", "from", SyntaxTree{"->", body, type= "Action", source= "@lib/core/coroutines.nom[1391:1398]", stub= "->"}, type= "Action", source= "@lib/core/coroutines.nom[1376:1398]", stub= "coroutine from"}
end);
_1_is_a_dead_coroutine = (function(_)
    return ((lua_type_of(_) == "thread") and (coroutine_status_of(_) == "dead"))
end);
