#!/usr/bin/env nomsu -V7.0.0-- File lib/shell/init.nom chunk #1
-- 
-- This file defines some actions for running shell commands.
-- ;
at_1_x3D_sh = (function(callsite, cmd)
    local f, contents, ok, returnx5Ftype, _return;
    f = io.popen(cmd);
    contents = f:read("*a");
    ok, returnx5Ftype, _return = f:close();
    if (not ok) then
        if (returnx5Ftype == "exit") then
        at_1_fail(callsite,
        Text("Command failure: Command `", cmd, "` failed with exit code ", _return));
    else
        at_1_fail(callsite,
        Text("Command failure: Command `", cmd, "` was terminated by signal ", _return));
    end
    end
    do return contents end
end);
at_1_sh_x3E = (function(callsite, cmd)
    local ok, returnx5Ftype, _return;
    ok, returnx5Ftype, _return = os.execute(cmd);
    if (not ok) then
        if (returnx5Ftype == "exit") then
        at_1_fail(callsite,
        Text("Command failure: Command `", cmd, "` failed with exit code ", _return));
    else
        at_1_fail(callsite,
        Text("Command failure: Command `", cmd, "` was terminated by signal ", _return));
    end
    end
end);
--  Attach callsite information for better error reporting;
COMPILE_RULES["= sh"] = (function(_ENV, _tree, cmd)
    return SyntaxTree{type="Action", source=Source("lib/shell/init.nom", 1149, 1198), "at", _1_tree_with("Text", Text(cmd.source)), "=", "sh", cmd}
end);
COMPILE_RULES["sh >"] = (function(_ENV, _tree, cmd)
    return SyntaxTree{type="Action", source=Source("lib/shell/init.nom", 1229, 1278), "at", _1_tree_with("Text", Text(cmd.source)), "sh", ">", cmd}
end);
